Tagged: 

Viewing 30 posts - 1 through 30 (of 45 total)
  • Author
    Posts
  • #1236766

    I just updated to WordPress 5.5 after updating Enfold to the latest version. The latest Enfold version update worked fine, but after upgrading to WordPress 5.5, I am getting the following on each page, and it is preventing me from logging in:

    Warning: setcookie() expects parameter 3 to be integer, array given in /home/new32344/public_html/wp-content/themes/enfold/includes/helper-privacy.php on line 303

    Warning: session_start(): Cannot start session when headers already sent in /home/new32344/public_html/wp-content/themes/enfold/config-templatebuilder/avia-shortcodes/masonry_entries/masonry_entries.php on line 69

    #1236795

    Hi,

    I have the same problem. I purged CDN and empty caches and the problem is still there.

    Warning: setcookie() expects parameter 3 to be integer, array given in /srv/users/serverpilot/apps/fiskosceyiz-tr/public/wp-content/themes/enfold/includes/helper-privacy.php on line 303

    Thanks

    #1236940

    Hi,
    The issue is in Privacy and Cookies, turn it off and the error will go…
    We have 6 Enfold sites, and some does not use Privacy and Cookies, and those have no errors
    Enfold need to fix this SAP

    #1236941

    Hi there
    just updated to WP 5.5 and the Avia Layout Builder (really bad builder by the way) would not work anymore and I can’t make any change to my pages….HAs anyone found a fix for this?
    Thanks in advance

    #1236944

    i didnt update to v5.5 of wordpress and after accepting the cookie notice i get also the error. its i gues from the latest update of enfold before i didnt had any problem.

    enfold v4.7.6.2

    #1236945

    Hope you manage to resolve this.
    I have successfully updated 3 sites to 5.5 and the latest Enfold build with no issues.

    Have you tried flushing the merged stylesheets in the performance panel, then clearing the cache and then using an incognito window to see if the problem persists?

    #1236978

    My blog on site http://www.glow-skincare.com is having troubles since updating both WP5.5 and Enfold to today;’s latest:
    Some of the issues are:
    – avia editor wont open,
    – featured image can’t be added
    – Yeost SEO keywords cant be added… (I thought it might be them wanting me to pay for another year of Premium support making the weird issues)

    I won’t even try edit Pages today!

    #1236985

    Has anyone solved the problem?

    #1236989

    Imagine hordes of techs are frantic… rushing to release the next version… (well we hope!)

    #1237001

    Updated to WP 5.5 – went to edit and save a text block & now the text block save button is displaying on the live site! And when clicked goes to login.
    Below is the code in Chrome Inspector:

    <li>“I really enjoyed learning the various tools that were introduced each week. Talking to others and listening to others i<a class="avia-modal-save button button-primary button-large" href="https://healinginfertility.ca/wp-admin/post.php?post=66&action=edit#save">Save</a>n similar situations really help to put things into perspective.” (Jenny)</li>

    Here is the page with the SAVE button displayed

    #1237009

    hi kmac

    i clicked on your link and the page to the end user looks ok (I’m in England)

    #1237030

    @kmac Looks fine to me too from Spain: https://snipboard.io/vMAICL.jpg

    #1237043

    the ERROR: Warning: setcookie() expects parameter 3 to be integer, array given in .../wp-content/themes/enfold/includes/helper-privacy.php on line 303

    i fixed that by reverding back to enfold v4.7.6.1 (i didnt update to wordpress 5.5 so dont know any problems further)

    • This reply was modified 2 months, 1 week ago by  Mike.
    #1237147

    Out of curiosity having an enfold-cild how do you downgrade? Thank you

    #1237148

    I solved it by replacing the helper-privacy.php file with version 4.7.6.1 .. everything works perfectly but I am waiting for a further update from Kriesi :-) a good evening everyone!

    #1237210

    Hi rogersparks,

    Please send us a temporary WordPress admin login and login URL so that we can have a closer look. You can post the details in the Private Content section of your reply.

    Best regards,
    Rikard

    #1237211

    Hi everyone else who is not rogersparks,

    Please open a new thread and include WordPress admin login details in private so that we can have a closer look at your site.

    Best regards,
    Rikard

    #1237222

    Rikard, I’d be happy to send you the login, but I can no longer log in since the upgrade. When I use my normal credentials, it goes through the captcha process, and then hangs. No matter what I do I can’t get into the WordPress dashboard.

    My only option appears to be go to a backup before the update and restore the site using FTP.

    Roger

    #1237237

    Hi Roger,

    Thanks for the update. If you can’t even access your site then I think it would be a good idea to restore it from a backup. After that then maybe you could copy the site to a staging area, so that we can try to update for you there first? If there should be problems then we can work on it without worrying about your live site being down.

    Best regards,
    Rikard

    #1237262

    I too ran into problems, specifically missing graphics on all pages after the update. Although when logged in the website preview displayed perfectly as usual. (so it does look like a privacy permission issue).

    Cleared all cache stores throughout the following steps.(no joy)
    Tried the latest theme update 4.7.6.2 (Didn’t fix it)
    Tried replacing the helper-privacy.php as per a previous poster (didn’t work for me)

    So I just restored to yesterdays backup (wp+theme) and everything is back up and running. I’ll wait for the inevitable update or workaround from Kriesi.

    I just wanted to add my feedback. But I have to say, of all the themes I’ve used over the years Enfold is one of the more bulletproof and well maintained. keep up the good work guys ;)

    Have subscribed and will keep an eye on the thread. ;)

    Thanks
    Steve

    #1237302

    Hi Kriesi,
    I use Enfold since a very long time, and I could say: outstanding WordPress Theme.

    But with the new WordPress-Version 5.5 you did not your best job.
    Yes, there’re also other Themes (e.g. Divi) with some problems on WordPress 5.5. But they could be fixed as described in my ticket https://core.trac.wordpress.org/ticket/50923.

    Sorry for this comment. But Enfold is one of the most downloaded theme on Themeforest, and you’re an “premium WordPress Theme company”.
    So I could expect a proper testing / development against upcoming WordPress-Versions. And regarding the Beta and RC Versions, you had a lot of time to do so.

    Looking into https://kriesi.at/support/topic/enfold-upcoming-fixes/ … and Enfold 4.7.6.3 will the issue I described in the Trac ticket be solved?

    Best,
    Martin

    #1237516

    Rikard,

    I restored the site to before the WordPress and Enfold updates, and it is working properly. To try and isolate the problem, I then updated Enfold to the latest version WITHOUT updating WordPress. The same problem occurred, and the site was down with the same messages. So it appears to be an Enfold problem and not WordPress 5.5.

    I have once again restored it and am up and operational. I’ll wait to upgrade Enfold until there is a newer version with this problem corrected.
    Thanks for your help….; Roger

    #1237675

    Hi Steve,

    Thanks for the kind feedback, I’m glad to hear that you found get your site back from a backup. If you should need further help then please open a new thread and include WordPress admin login details in private so that we can have a closer look at your site.

    Best regards,
    Rikard

    #1237678

    Hi Martin,

    Thanks for the feedback and sorry for the problem. The thing is that we have been testing the theme with WordPress release candidates and nightly builds as we always do, but we didn’t find any major issues at all. Once 5.5 was released officially and we started testing with that, then we immediately found some pretty nasty bugs unfortunately. How exactly that happened I cannot answer, I’m a bit baffled to be honest with you.

    Best regards,
    Rikard

    #1237680

    Hi Roger,

    Thanks for the update and sorry again for the problem. We haven’t had any other reports of those messages appearing and not being able to login into WordPress when using Enfold 4.7.6.2 and WordPress 5.4.2, so it might be something local to your site. I’m glad to hear that you got your site recovered though.

    If you should need help with updating when the next release of the theme is available, then just let us know in a new thread. Please include WordPress and FTP login details if you want us to update for you.

    Best regards,
    Rikard

    #1237697

    Hi,

    I use Enfold on several customer and own websites with the combination Roger stated without problems.
    So it could not be an Enfold problem regarding the combination Enfold 4.7.6.2 and WordPress 5.4.2
    But for WordPress 5.5 is seems to be definetely an Enfold problem
    Sorry Roger :)

    Best,
    Martin

    • This reply was modified 2 months, 1 week ago by  mwolfert.
    #1237755

    Hello everyone, I took the liberty of doing some tests and, at least in my case, it seems to be a problem Enfold and not the WordPress version .. however Enfold is still the best for me and I’m sure that soon there it will be an update with the resolution of the problem. Go on like this Kriesi!

    #1237904

    Yes, mwolfert, I agree that there is some weird combination of things causing this – I have multiple clients using Enfold – been using it for years, because it’s the best Theme for many things – and all the remainder have updated properly. This one is mystifying. This site has been using Enfold for about 7 years, everything is up to the latest version, and every Enfold update over those many years has worked without problems. There have been no changes to anything on the site, other than keeping plugins and WordPress up-to-date. So, this version of Enfold broke it – and all the logged errors are coming from Enfold components.

    So, I have gone back to the prior Enfold version, with no problems, will wait for the next update, and try again.

    Roger

    #1237955

    I rolled back my WordPress to 5.4.2 and poof, all the issues went away. So over wordpress, looking at Joomla or Grav as an alternative. The issues are getting more and more. To many “hacks” developing plugins and there just seems to be more issues every week. Miss my Adobe Muse!

    #1237961

    I can confirm the rollback situation. 5.5 broke Enfold. Advanced layout editor just spins.

    Used this plugin to roll back to 5.4.2, and everything is OK.

    M

Viewing 30 posts - 1 through 30 (of 45 total)

You must be logged in to reply to this topic.